#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	String
%define		pnam	ShellQuote
Summary:	String::ShellQuote - quote strings for passing through the shell
Summary(pl.UTF-8):	String::ShellQuote - cytowanie łańcuchów do przekazywania przez powłokę
Name:		perl-String-ShellQuote
Version:	1.04
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	da6329dc482b21adf5697cfbd2ac5412
URL:		http://search.cpan.org/dist/String-ShellQuote/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::ShellQuote module contains some functions which are useful for
quoting strings which are going to pass through the shell or a
shell-like object.

%description -l pl.UTF-8
Moduł String::ShellQuote zawiera funkcje przydatne przy cytowaniu
łańcuchów znaków tak, by mogły być przekazane do powłoki lub innego
obiektu zachowującego się jak powłoka.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/shell-quote
%{perl_vendorlib}/String/ShellQuote.pm
%{_mandir}/man1/shell-quote.1p*
%{_mandir}/man3/String::ShellQuote.3pm*
%changelog
* Thu May 16 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-String-ShellQuote.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 29559b5
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Sep 22 2012 Jakub Bogusz <qboosh@pld-linux.org> b66f3ab
- URL, real summaries

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> afc1fa2
- up to 1.04

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 94ee157
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 273b848
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cbf1c18
- converted to UTF-8

* Tue May 31 2005 petec <petec@pld-linux.org> 2773d9b
- up to 1.03
- added shell-quote binary and man file

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> fdad897
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> aa81b7f
- rel. 10

* Thu May 06 2004 ankry <ankry@pld-linux.org> 3e7b768
- fixed perl-devel BR

* Sat May 01 2004 ankry <ankry@pld-linux.org> 659b25d
- tests added, license fix

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> e934ed9
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 68b54cf
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 2cbaab8
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 5353dfc
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> fdb37f1
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 3209ff3
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 9f79aae
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 730d998
- massive attack: change CPAN URLs

* Tue Nov 26 2002 ankry <ankry@pld-linux.org> 0947368
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

